[RFC] Reduce sidebar icon size/increase list information density
Needs ReviewPublic

Authored by ngraham on Mar 11 2019, 8:35 PM.

Details

Reviewers
None
Group Reviewers
VDG
Summary

Ever since increasing the list item size to accommodate 32px icons, System Settings'
sidebar has felt somehow wrong to me. Though the icons are indeed pretty, and the
problem with small monochrome icons has been resolved, the information density is now
quite low. Since the list is very long, the amount of scrolliness is increased and
there's a low of whitespace.

This RFC patch explores the impact of reducing the icon size down to the default value
for Kirigami list items. The information density increases and the whole thing feels
better to me. On the other hand, the icons don't look as good because they're scaled to
fit in a 22px size. Also, touch-friendliness is reduced.

I'm not married to this idea but I thought I'd throw it out there. Comments are welcome.

Test Plan

Before:


After:

Diff Detail

Repository
R124 System Settings
Branch
reduce-sidebar-icon-size (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9485
Build 9503: arc lint + arc unit
ngraham created this revision.Mar 11 2019, 8:35 PM
Restricted Application added a project: Plasma. · View Herald TranscriptMar 11 2019, 8:35 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ngraham requested review of this revision.Mar 11 2019, 8:35 PM

Not a huge fan of going back and forth with design decisions all the time but +1 I preferred the smaller icons we used to habe

Not a huge fan of going back and forth with design decisions all the time but +1 I preferred the smaller icons we used to habe

Technically this isn't actually going back to anything because in the past we had small icons with tall list items--the worst of both worlds. Now we have tall list items with large icons, and this turns it into short list items with small icons. Also this hasn't been released to customers yet. If you can't do your experimenting in git master, where can you do it? :)

ndavis added a subscriber: ndavis.EditedMar 12 2019, 12:05 AM

Though the icons are indeed pretty, and the problem with small monochrome icons has been resolved, the information density is now quite low.

When? I still get a mix of color and monochrome icons in System Settings with the git master versions of it and its dependencies.

The side bar feels better to use with a mouse with shorter items, but I don't think we should make a change like this before the problem is really solved.

I was talking about the problem of small monochrome icons in the sidebar itself, not in the tooltip. But anyway since then I fixed the tooltip too.

Any more VDG or Plasma opinions on this?

I was talking about the problem of small monochrome icons in the sidebar itself, not in the tooltip. But anyway since then I fixed the tooltip too.

Any more VDG or Plasma opinions on this?

I was talking about the sidebar as well, but I think I misunderstood what you were saying.

filipf added a subscriber: filipf.Mar 22 2019, 5:52 PM

Ever since increasing the list item size to accommodate 32px icons, System Settings' sidebar has felt somehow wrong to me

Same here, I prefer this patch rather than the bigger icons. Since we're still having issues with monochrome issues showing up, obviously the question is what do we want to solve at this moment. I'd be more in favor of prioritizing reduced information density, but we definitely need more opinions and discussion on this.